Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class WMSCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.wms.capabilities.WMSCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WMSCapabilities_1_0_0, WMSCapabilities_1_3_0, WMSConfiguration

    public class WMSCapabilities

extends OGCCapabilities

`WMSCapabilities` is the data class for the WMS version of capabilities. Since WMS is not yet using the OWS commons implementation, it is more or less just a copy of the old version.

Version:
  $Revision: 18195 $
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary
`protected List<String>` | `exceptions`

Constructor Summary
`protected` | `WMSCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, UserDefinedSymbolization userDefinedSymbolization, OperationsMetadata metadata, Layer layer)` constructor initializing the class with the `WMSCapabilities`
`protected` | `WMSCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, UserDefinedSymbolization userDefinedSymbolization, OperationsMetadata metadata, Layer layer, List<String> exceptions)`

Method Summary
`List<String>` | `getExceptions()`
`Layer` | `getLayer()`
`Layer` | `getLayer(String name)`
`Layer` | `getLayerByTitle(String title)` returns the
`OperationsMetadata` | `getOperationMetadata()`
`ServiceIdentification` | `getServiceIdentification()`
`ServiceProvider` | `getServiceProvider()`
`UserDefinedSymbolization` | `getUserDefinedSymbolization()`
`static String` | `hasDoubleLayers(Layer layer, Set<String> layers)`
`void` | `setLayer(Layer layer)` sets the root layer provided by a WMS
`void` | `setOperationMetadata(OperationsMetadata operationMetadata)` sets metadata for the offered access methods like GetMap or GetCapabiliites
`void` | `setServiceIdentification(ServiceIdentification serviceIdentification)` sets the service description section
`void` | `setServiceProvider(ServiceProvider serviceProvider)` sets informations about the provider of a WMS
`void` | `setUserDefinedSymbolization(UserDefinedSymbolization userDefinedSymbolization)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exceptions

    protected List<String> exceptions

Constructor Detail

### WMSCapabilities

    protected WMSCapabilities(String version,
                              String updateSequence,
                              ServiceIdentification serviceIdentification,
                              ServiceProvider serviceProvider,
                              UserDefinedSymbolization userDefinedSymbolization,
                              OperationsMetadata metadata,
                              Layer layer)

  constructor initializing the class with the `WMSCapabilities`

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `userDefinedSymbolization` -
    `metadata` -
    `layer` -

### WMSCapabilities

    protected WMSCapabilities(String version,
                              String updateSequence,
                              ServiceIdentification serviceIdentification,
                              ServiceProvider serviceProvider,
                              UserDefinedSymbolization userDefinedSymbolization,
                              OperationsMetadata metadata,
                              Layer layer,
                              List<String> exceptions)

Parameters:
  `version` -
  `updateSequence` -
  `serviceIdentification` -
  `serviceProvider` -
  `userDefinedSymbolization` -
  `metadata` -
  `layer` -
  `exceptions` -

Method Detail

### getServiceIdentification

    public ServiceIdentification getServiceIdentification()

  Returns:
    the service description section

### setServiceIdentification

    public void setServiceIdentification(ServiceIdentification serviceIdentification)

  sets the service description section

  Parameters:
    `serviceIdentification` -

### getLayer

    public Layer getLayer()

  Returns:
    the root layer provided by a WMS

### getLayer

    public Layer getLayer(String name)

  Parameters:
    `name` - the layer name
  Returns:
    the layer provided by a WMS, or null, if there is no such layer

### getLayerByTitle

    public Layer getLayerByTitle(String title)

  returns the

  Parameters:
    `title` -
  Returns:
    the layer
  See Also:
    `identified by its title. If no layer matching the passed title can be found `null` will be returned.`

### hasDoubleLayers

    public static String hasDoubleLayers(Layer layer,
                                         Set<String> layers)

  Parameters:
    `layer` -
    `layers` -
  Returns:
    a layer name, if a layer has been defined two times with the same name, null otherwise

### setLayer

    public void setLayer(Layer layer)

  sets the root layer provided by a WMS

  Parameters:
    `layer` -

### getOperationMetadata

    public OperationsMetadata getOperationMetadata()

  Returns:
    metadata about the offered access methods like GetMap or GetCapabilities

### setOperationMetadata

    public void setOperationMetadata(OperationsMetadata operationMetadata)

  sets metadata for the offered access methods like GetMap or GetCapabiliites

  Parameters:
    `operationMetadata` -

### getExceptions

    public List<String> getExceptions()

  Returns:
    the list of exceptions

### getServiceProvider

    public ServiceProvider getServiceProvider()

  Returns:
    informations about the provider of a WMS

### setServiceProvider

    public void setServiceProvider(ServiceProvider serviceProvider)

  sets informations about the provider of a WMS

  Parameters:
    `serviceProvider` -

### getUserDefinedSymbolization

    public UserDefinedSymbolization getUserDefinedSymbolization()

  Returns:
    the user defined symbolization

### setUserDefinedSymbolization

    public void setUserDefinedSymbolization(UserDefinedSymbolization userDefinedSymbolization)

  Parameters:
    `userDefinedSymbolization` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org